/**
 * Introduction
 *
 * @title ROV - Easy applications from C
 *
 * @copyright Jason Tribbeck / 7th ARM 1994-2001
 *
 * @authors Jason Tribbeck
 *
 * @file reghelp.h
 *
 * @type helper
 *
 * @description
 *
 * The reghelp helper allows appplications to register strings for interactive
 * help for particular icons and canvasses.
 */


#ifndef __rov_reghelp
#define __rov_reghelp


#ifdef __cplusplus
extern "C"
{
#endif

#ifndef __rov_main
#include "main.h"
#endif

/**
 * Register a string with an icon.
 * @param ic the icon.
 * @param help the help string.
 * @see registerhelp_canvas()
 */
void registerhelp_icon(icon ic,
		       char *help);

/**
 * Register a string with a canvas.
 * @param c the canvas.
 * @param help the help string.
 * @see registerhelp_icon()
 */
void registerhelp_canvas(canvas c,
			 char *help);


#ifdef __cplusplus
}
#endif

#endif
